Probe an exact ActionPolicy rule
curl --request POST \
--url https://api.checkfu.com/v1/action-policies/rules/probe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'checkfu-version: <checkfu-version>' \
--data '
{
"name": "<string>",
"rule": {
"id": "<string>",
"subject_kind": "*",
"subject_id": "<string>",
"resource_kind": "*",
"resource_id": "<string>",
"permission": "<string>",
"surface_scope_id": "<string>"
}
}
'import requests
url = "https://api.checkfu.com/v1/action-policies/rules/probe"
payload = {
"name": "<string>",
"rule": {
"id": "<string>",
"subject_kind": "*",
"subject_id": "<string>",
"resource_kind": "*",
"resource_id": "<string>",
"permission": "<string>",
"surface_scope_id": "<string>"
}
}
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'checkfu-version': '<checkfu-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
rule: {
id: '<string>',
subject_kind: '*',
subject_id: '<string>',
resource_kind: '*',
resource_id: '<string>',
permission: '<string>',
surface_scope_id: '<string>'
}
})
};
fetch('https://api.checkfu.com/v1/action-policies/rules/probe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"present": true
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Probe an exact ActionPolicy rule
Report whether one active ActionPolicy with the exact requested name contains the exact condition-free rule selector. The response is only a boolean presence projection; it does not disclose ActionPolicy content or evaluate a governance decision.
Checkfu support posture: alpha; hosted. Required evidence journey: governance-registry. Deployment-specific readiness and the latest proven release are available from GET /v1/support/capabilities.
POST
/
v1
/
action-policies
/
rules
/
probe
Probe an exact ActionPolicy rule
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-27 Body
application/json
Response
Success